Subject: bug#34174: 27.0.50; Calling `par' via shell-command-on-region always errors out

From: Kaushal Modi <[email-masked]>
Date: Wed, 23 Jan 2019 12:37:15 -0500

On Wed, Jan 23, 2019 at 12:30 PM Paul Eggert <[email-masked]> wrote:

> To help debug the problem, try running 'truss -o /tmp/par.tr par'
> instead of 'par', under both the old and new Emacs, and spot the
> difference.
>
> Try also running 'truss -o /tmp/emacs.tr emacs -Q' instead of plain
> 'emacs'.
>

I don't have truss installed. But I googled about it, and looks like strace
is equivalent.

I ran:

strace -o /tmp/par.tr par, and
strace -o /tmp/emacs.tr emacs -Q

Looking at the .tr files, they could possibly contain work sensitive data.
So I am not sure if I should share those files publicly.

What should I be looking for in there?

Also, as I am playing with this more, I realize that I cannot 100%
reproduce the problem on emacs -Q on master branch.

[ So the problem, as you guessed, seems to be with my OS (RHEL 6.8) .. But
why only `par`? hmm ]